Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001210 [Piwigo] web API block always 2009.10.26 01:53 2009.12.04 23:02
Reporter plg View Status public  
Assigned To plg
Priority high Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.0.7 Product Version 2.0.5
  Target Version 2.0.7 Product Build
Summary 0001210: [pwg.images.add] failure if memory_get_usage function is not available
Description As described in topic:15449 the function memory_get_usage may not exists depending on the PHP version and compiling options.

We have to check for its availability before using it (the script should fall back nicely if function is not available)
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0003175)
svn (reporter)
2009.12.04 22:54

[Subversion] r4424 by plg on branch 2.0

-----[Subversion commit log]----------------------------------------------------
bug 1210 fixed: check if the memory_get_usage function is available before
using it.
(0003176)
svn (reporter)
2009.12.04 22:57

[Subversion] r4425 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
merge r4424 from branch 2.0 to trunk

bug 1210 fixed: check if the memory_get_usage function is available before
using it.
(0003177)
plg (manager)
2009.12.04 23:02

In my php.ini, I've added a:

disable_functions = memory_get_usage

In the ws_log_file, the following lines:

[2009-12-04T22:35:34+01:00] [merge_chunks] memory_get_usage before loading chunks: 4029176
[2009-12-04T22:35:34+01:00] [merge_chunks] memory_get_usage on chunk 1: 4216760
[2009-12-04T22:35:34+01:00] [merge_chunks] memory_get_usage after loading chunks: 4216896

are simply not available any more.

- Issue History
Date Modified Username Field Change
2009.10.26 01:53 plg New Issue
2009.10.26 01:53 plg Status new => assigned
2009.10.26 01:53 plg Assigned To => plg
2009.10.26 01:53 plg browser => any
2009.10.26 01:53 plg Web server => Apache 1.3.x
2009.11.06 00:19 plg Target Version 2.0.6 => 2.0.7
2009.12.04 22:54 svn Checkin
2009.12.04 22:54 svn Note Added: 0003175
2009.12.04 22:57 svn Checkin
2009.12.04 22:57 svn Note Added: 0003176
2009.12.04 23:02 plg Note Added: 0003177
2009.12.04 23:02 plg Status assigned => closed
2009.12.04 23:02 plg Resolution open => fixed
2009.12.04 23:02 plg Fixed in Version => 2.0.7


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker